.footer {
    background: $white;
    padding: rem(23) 0;
    position: relative;

    &:after,
    &:before {
        left: 0;
        right: 0;
        z-index: 1;
        content: '';
        height: 1px;
        display: block;
        position: absolute;
        background-image: linear-gradient(to right, #6F6F88 10%, rgba(255, 255, 255, 0) 0%);
        background-position: top;
        background-size: 6px 1px;
        background-repeat: repeat-x;
    }

    &:after {
        top: 0;
    }

    &:before {
        bottom: 0;
    }

    &__content {

    }

    &__logo {
        display: block;
        width: rem(80);
        margin: 0 auto rem(22) auto;
    }

    &__subscribe {
        margin-bottom: rem(24);
    }

    &__label {
        color: $gray;
        font-size: rem(12);
        line-height: rem(16);
        text-align: center;
        margin-bottom: rem(20);
    }

    &__nav {
        display: none;
    }

    @include media-breakpoint-up(md) {
        padding: rem(22) 0;

        &__content {
            display: flex;
            align-items: center;
        }

        &__logo {
            margin: 0;
            width: rem(102);
            flex-shrink: 0;
        }

        &__subscribe {
            margin: 0 rem(54);
            flex-grow: 1;
        }

        &__label {
            display: none;
        }

        &__social {
            flex-shrink: 0;
        }
    }

    @include media-breakpoint-up(xl) {
        padding: rem(40) 0;

        &__row {
            display: flex;
        }

        &__logo {
            margin: 0 0 rem(18) 0;
        }

        &__label {
            display: block;
            text-align: left;
            margin-bottom: rem(10);
        }

        &__nav {
            display: block;
            flex-grow: 1;
        }

        &__content {
            display: block;
            width: rem(265);
            flex-shrink: 0;
        }

        &__subscribe {
            margin: 0 0 rem(20) 0;
        }
    }
}

.footer-social {
    margin: 0 rem(-5);
    display: flex;
    align-items: center;
    justify-content: center;

    &__item {
        margin: 0 rem(5);
        width: rem(35);
        height: rem(35);
        display: block;
        cursor: pointer;
        flex-shrink: 0;
    }

    @include media-breakpoint-up(xl) {
        justify-content: flex-start;
    }
}

.footer-secondary {
    background: $white;
    text-align: center;
    padding: rem(22) 0;
    font-size: rem(13);
    line-height: rem(16);
    margin-bottom: rem(50);

    &__row {
    }

    &__text {
        color: $gray;
        margin-bottom: rem(13);
    }

    &__privacy {
        color: $blue;
        display: inline-block;
        text-decoration: underline;

        &:hover {
            color: $blue;
            text-decoration: none;
        }
    }

    @include media-breakpoint-up(md) {
        padding: rem(23) 0;

        &__row {
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        &__text {
            margin: 0;
        }
    }

    @include media-breakpoint-up(xl) {
        margin-bottom: 0;
    }
}

.footer-nav {
    font-size: rem(14);
    line-height: 110%;

    &__title {
        font-weight: 600;
        font-size: rem(20);
        line-height: 110%;
        margin-bottom: rem(22);
    }

    &__main {
        display: flex;
    }

    &__group {
        margin: 0;
        width: 33.33%;
        list-style: none;
        padding: 0 rem(30) 0 0;
        flex-shrink: 0;
    }

    &__item {
        &:not(:last-child) {
            margin-bottom: rem(18);
        }
    }

    &__link {
        color: $gray;
        text-decoration: none;

        &:hover {
            color: $gray;
            text-decoration: underline;
        }
    }
}
